module UU
  module OS
    module IPC

      # List of error codes used by {UU::OS::IPC IPC} module.
      class ErrorCodes

        # Processing of request failed due to unexpected problem
        # which was not handled by requested resource/service.
        UNEXPECTED_PROBLEM = 'UU.OS.IPC/E000-UNEXPECTED_PROBLEM'

        # Requested resource/service was not found on server.
        NOT_FOUND = 'UU.OS.IPC/E001-NOT_FOUND'

        # Requested resource/service was found on server but
        # is not currently available.
        NOT_AVAILABLE = 'UU.OS.IPC/E002-NOT_AVAILABLE'

        # Request is not valid (server does not now how to
        # handle this request).
        INVALID_REQUEST = 'UU.OS.IPC/E003-INVALID_REQUEST'

        # Access to resource/service requires authentication which
        # is either not possible because of missing authentication
        # data or authentication data are not valid.
        NOT_AUTHENTICATED = 'UU.OS.IPC/E004-NOT_AUTHENTICATED'

        # Resource does exist on server, but does not implement
        # expected functionality.
        NOT_IMPLEMENTED = 'UU.OS.IPC/E005-NOT_IMPLEMENTED'

      end

    end
  end
end
